#!/bin/sh

cd ../

protoc \
  -I=grpc \
  -I=grpc/sms \
  --go_out=. \
  --go-grpc_out=. \
  grpc/sms/sms.proto && \
   echo "Generated grpc/sms/sms.pb.go" && \
   echo "Generated grpc/sms/sms_grpc.pb.go"

protoc \
  -I=grpc \
  -I=grpc/kafka_grpc \
  --go_out=. \
  --go-grpc_out=. \
  grpc/kafka_grpc/vehicle_data.proto && \
   echo "Generated grpc/kafka_grpc/vehicle_data.pb.go" && \
   echo "Generated grpc/kafka_grpc/vehicle_data.pb.go"

protoc \
  -I=grpc \
  -I=grpc/kafka_grpc \
  --go_out=. \
  --go-grpc_out=. \
  grpc/kafka_grpc/vehicle_signal.proto && \
   echo "Generated grpc/kafka_grpc/vehicle_signal.pb.go" && \
   echo "Generated grpc/kafka_grpc/vehicle_signal.pb.go"

protoc \
  -I=grpc \
  -I=grpc/kafka_grpc \
  --go_out=. \
  --go-grpc_out=. \
  grpc/kafka_grpc/trex_log.proto && \
   echo "Generated grpc/kafka_grpc/trex_log.pb.go" && \
   echo "Generated grpc/kafka_grpc/trex_log.pb.go"
